EDIT - feature request #6806

Add context menu to FeatureTreeEditor
07/12/2017 06:16 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 80%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

Related issues:
Related to EDIT - feature request #6694 : Migrate FeatureTreeEditor

Related to EDIT - feature request #8003: [DISUCSS] Implement "Export" on sub ...

Copied from EDIT - bug #6786: Remaining feature tree editor issues
Copied to EDIT - feature request #7372: Allow configuring feature/term tree

Copied to EDIT - feature request #8060: Implement move up/down in feature tre...

Closed
New
Closed
Closed
New

Associated revisions

Revision ff46¢c6ca - 07/12/2017 08:36 PM - Patrick Plitzner

ref #6806 Add context menu to feature tree editor

e menu item for add, remove feature and export feature tree (experimental)

Revision 804fe7cc - 07/13/2017 02:04 PM - Patrick Plitzner

ref #6806 remove buttons from FeatureTreeEditorComposite

Revision d9a7bf37 - 12/20/2017 02:49 PM - Patrick Plitzner

ref #6806 Fix double invocation SelectionDialog

Revision ff58a197 - 12/20/2017 03:02 PM - Patrick Plitzner

ref #6806 Move feature tree widget initialization to WS editor

Revision 4c16d694 - 12/20/2017 03:06 PM - Patrick Plitzner
ref #6806 Correctly initialize WS taxon filter

Revision c8daeda0 - 12/20/2017 04:33 PM - Patrick Plitzner
ref #6806 Add remove taxon node key listener for DEL

Revision b2a53e66 - 12/22/2017 11:02 AM - Patrick Plitzner
ref #6806 Make setTaxonSubtreeFilter public

Revision 7114eadf - 12/22/2017 11:11 AM - Patrick Plitzner

ref #6806 clear taxon filter before saving it

Revision 72c03cfb - 02/22/2018 10:49 AM - Patrick Plitzner

ref #6806 Add "Add child feature" to feature tree editor context menu

Revision d00e1697 - 02/22/2018 11:00 AM - Patrick Plitzner

ref #6806 Allow adding multiple nodes for the same feature

Revision f8f2ac3c - 04/27/2018 11:57 AM - Patrick Plitzner

ref #6806 Fix session initialization
Revision c2e12c¢2b - 04/30/2018 03:02 PM - Patrick Plitzner

ref #6806 Implement operation framework for feature tree editor

Revision e6¢775fc - 04/30/2018 03:02 PM - Patrick Plitzner

ref #6806 Remove saving in service methods

Revision 288109a7 - 11/15/2018 02:33 PM - Patrick Plitzner
ref #6806 Add isDirty() to IE4SavablePart + extract dirty check to util

Revision 41e1666a - 11/15/2018 02:50 PM - Patrick Plitzner

ref #6806 Fix dirty state handling and saving in feature tree editor

Revision ac8dcaec - 01/18/2019 02:40 PM - Patrick Plitzner
ref #6806 Sort feature trees alphabetically

Revision 587725a - 01/18/2019 02:55 PM - Patrick Plitzner

ref #6806 Select newly created feature tree

Revision 0800831b - 01/30/2019 08:28 AM - Patrick Plitzner

ref #6806 Disable export context menu for feature nodes

History

#1 - 07/12/2017 08:38 PM - Patrick Plitzner
- Status changed from New to Resolved
- Assignee changed from Patrick Plitzner to Andreas Muiller

- % Done changed from 0 to 50

@Andreas: | would also remove the buttons then, ok?

#2 - 07/13/2017 08:45 AM - Andreas Miiller

Patrick Plitzner wrote:

@Andreas: | would also remove the buttons then, ok?

Yes, if all functionality is available via right click.

#3 - 07/13/2017 02:04 PM - Patrick Plitzner

Andreas Muller wrote:
Patrick Plitzner wrote:

@Andreas: | would also remove the buttons then, ok?

Yes, if all functionality is available via right click.

Ok, all implemented now

#4 - 07/21/2017 01:29 PM - Andreas Miiller
- Related to feature request #6694: Migrate FeatureTreeEditor added

#5 - 07/22/2017 09:12 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

With right click menu we have now the possibility to distinguish "add" (on top level) and "add child". This should be implemented.
#6 - 07/22/2017 09:14 AM - Andreas Miiller

It is great that the selection distinguishes vocabularies and shows them in a tree structure. Unfortunately the terms are not ordered, this is urgently
necessary for larger vocabularies.

#7 - 07/22/2017 09:35 AM - Andreas Miiller

It looks like multiple usage of 1 feature in the same feature tree is currently not supported. If | e.g. select a feature that is already in the feature tree
nothing happens. Is this on purpose?

Maybe needs discussion. There are usecase where we want multiple usage, e.g. for structures in a structure tree (feature tree might become term
tree in future). Maybe we need a flag to allow or not allow multiple usages, depending of the type of feature tree)

#8 - 02/14/2018 02:53 PM - Andreas Miller
- Parent task deleted (#6786)

#9 - 02/14/2018 02:53 PM - Andreas Miuller

- Copied from bug #6786: Remaining feature tree editor issues added

#10 - 02/22/2018 11:01 AM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Mliller

- % Done changed from 50 to 80

Comment 5 and 7 are fixed. Comment 6 has already been fixed before.

#11 - 04/26/2018 03:26 PM - Andreas Miiller

- Copied to feature request #7372: Allow configuring feature/term tree added

#12 - 04/26/2018 03:41 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

Generally all issues fixed or moved to new ticket.

However, the dirty flag does not seem to work correctly. This needs to be fixed urgently.

#13 - 04/26/2018 11:45 PM - Andreas Miiller
- Priority changed from New to Highest

#14 - 04/30/2018 03:03 PM - Patrick Plitzner
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller

#15 - 11/15/2018 02:32 PM - Patrick Plitzner
- Status changed from Resolved to In Progress
- Assignee changed from Andreas Muiller to Patrick Plitzner

- Target version changed from Release 4.9 to Release 5.5

#16 - 11/15/2018 02:52 PM - Patrick Plitzner
- Status changed from In Progress to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller

#17 - 01/16/2019 02:16 PM - Andreas Miiller

Export menu is disabled on FeatureNodes

#18 - 01/16/2019 02:18 PM - Andreas Miiller
- File picture850-1.png added
Adding a new feature tree should set the focus to the new tree. Also the label should be updated in Details View after focus is set.
#19 - 01/16/2019 02:18 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

#20 - 01/16/2019 02:19 PM - Andreas Miiller

Andreas Muller wrote:

... Also the label should be updated in Details View after focus is set.

and after changing the titleCache

#21 - 01/16/2019 02:20 PM - Andreas Miiller

Paste not possbile on feature tree

#22 - 01/16/2019 02:22 PM - Andreas Miiller

Feature trees should be ordered alphabetically

#23 - 01/16/2019 02:25 PM - Andreas Miiller

Having a move up/down in right click menu would be a nice nice-to-have as d&d is sometimes a bit cumbersome when moving terms between
something. Also it is always good to have >1 possibilities to do something.

#24 - 01/16/2019 02:29 PM - Andreas Miiller

Andreas Muller wrote:

Having a move up/down in right click menu would be a nice nice-to-have as d&d is sometimes a bit cumbersome when moving terms between
something. Also it is always good to have >1 possibilities to do something.

this is also relevant because currently adding a new feature at a certain position in the sibbling list is not (yet) possible so moving is necessary if you
want to add a term a position = last position

#25 - 01/16/2019 02:30 PM - Andreas Miiller

Except for the above issues the context menu works fine and looks much better and is more consistent with general TaxEditor usage.

#26 - 01/18/2019 02:58 PM - Patrick Plitzner

Andreas Muller wrote:

Export menu is disabled on FeatureNodes

| remember that we discussed this and it was not clear if we want to export only part of the tree. | move this to a new ticket -> #8003

#27 - 01/18/2019 02:59 PM - Patrick Plitzner
https://dev.e-taxonomy.eu/redmine/issues/8003

- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller

all other issues should be fixed now

#28 - 01/19/2019 11:27 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Patrick Plitzner
Patrick Plitzner wrote:
Andreas Muller wrote:

Export menu is disabled on FeatureNodes

| remember that we discussed this and it was not clear if we want to export only part of the tree. | move this to a new ticket -> #8003

If we do not implement it, we should completely remove it from the menu, so let's do this for now and add it again when #8003 is implemented

#29 - 01/30/2019 08:28 AM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Mliller
Andreas Muller wrote:
Patrick Plitzner wrote:
Andreas Muller wrote:

Export menu is disabled on FeatureNodes

| remember that we discussed this and it was not clear if we want to export only part of the tree. | move this to a new ticket -> #8003

If we do not implement it, we should completely remove it from the menu, so let's do this for now and add it again when #8003 is implemented

Export context menu is disabled

#30 - 02/04/2019 11:22 AM - Andreas Miiller
- Related to feature request #8003: [DISUCSS] Implement "Export" on sub tree of FeatureTrees added

#31 - 02/04/2019 11:25 AM - Andreas Muller

- Copied to feature request #8060: Implement move up/down in feature tree editor added

#32 - 02/04/2019 11:26 AM - Andreas Miiller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Patrick Plitzner

Andreas Muller wrote:
Having a move up/down in right click menu would be a nice nice-to-have as d&d is sometimes a bit cumbersome when moving terms between
something. Also it is always good to have >1 possibilities to do something.

This is not yet implemented. | created a new ticket #8060

So we can close this ticket now.
